wineが前回やった方法でインストールできなくなっているので何とかインストールしてみた。

作業ディレクトリを作成して移動

$ mkdir /usr/local/src/wine-unstable/
$ cd /usr/local/src/wine-unstable/

パッケージのダウンロード

$ wget http://dev.carbon-project.org/debian/wine-unstable/\
{libwine-alsa-unstable_1.4~rc1-0.1_amd64.deb,\
libwine-bin-unstable_1.4~rc1-0.1_amd64.deb,\
libwine-capi-unstable_1.4~rc1-0.1_amd64.deb,\
libwine-cms-unstable_1.4~rc1-0.1_amd64.deb,\
libwine-dbg-unstable_1.4~rc1-0.1_amd64.deb,\
libwine-dev-unstable_1.4~rc1-0.1_amd64.deb,\
libwine-gl-unstable_1.4~rc1-0.1_amd64.deb,\
libwine-gphoto2-unstable_1.4~rc1-0.1_amd64.deb,\
libwine-ldap-unstable_1.4~rc1-0.1_amd64.deb,\
libwine-openal-unstable_1.4~rc1-0.1_amd64.deb,\
libwine-oss-unstable_1.4~rc1-0.1_amd64.deb,\
libwine-print-unstable_1.4~rc1-0.1_amd64.deb,\
libwine-sane-unstable_1.4~rc1-0.1_amd64.deb,\
libwine-unstable_1.4~rc1-0.1_amd64.deb,\
wine-bin-unstable_1.4~rc1-0.1_amd64.deb,\
wine-unstable_1.4~rc1-0.1_amd64.deb}

libwine-alsa-unstableが依存しているlib32asound2がsqueezeでは古いのでwineが上手くインストールできない。無理やりインストールしても問題は見当たらなかったのでlibwine-alsa-unstableのパッケージを書き換える。

libwine-alsa-unstableのパッケージを展開

$ dpkg-deb -x libwine-alsa-unstable_1.4~rc1-0.1_amd64.deb libwine-alsa-unstable_1.4~rc1-0.1_amd64
$ dpkg-deb -e libwine-alsa-unstable_1.4~rc1-0.1_amd64.deb libwine-alsa-unstable_1.4~rc1-0.1_amd64/DEBIAN

依存しているlib32asound2のバージョンを書き換え(squeezeのlib32asound2は1.0.23-2.1)

$ vi libwine-alsa-unstable_1.4~rc1-0.1_amd64/DEBIAN/control
     7  Depends: lib32asound2 (>= 1.0.23-2.1), libc6-i386 (>= 2.1.3), libwine-unstable (= 1.4~rc1-0.1)

パッケージを再構築

$ dpkg-deb -b libwine-alsa-unstable_1.4~rc1-0.1_amd64 libwine-alsa-unstable_1.4~rc1-0.1_amd64.deb

パッケージのインストール

sudo dpkg -i *.deb

依存関係の修復

$ sudo aptitude -f install
以下の、インストールが完了していないパッケージが設定されます:
  libwine-alsa-unstable{b} libwine-bin-unstable libwine-capi-unstable libwine-cms-unstable{b} libwine-dbg-unstable libwine-dev-unstable{b} libwine-gl-unstable{b} libwine-gphoto2-unstable{b} libwine-ldap-unstable{b}
  libwine-openal-unstable{b} libwine-oss-unstable{b} libwine-print-unstable libwine-sane-unstable libwine-unstable{b} wine-bin-unstable wine-unstable
インストール・削除・更新されるパッケージがありません。
更新: 0 個、新規インストール: 0 個、削除: 0 個、保留: 0 個。
0 B のアーカイブを取得する必要があります。展開後に 0 B のディスク領域が新たに消費されます。
以下のパッケージには満たされていない依存関係があります:
  libwine-unstable: 依存: ia32-libs (>= 20111001) but it is not going to be installed.
                    依存: lib32z1 (>= 1:1.1.4) but it is not going to be installed.
  libwine-openal-unstable: 依存: ia32-libs (>= 20111001) but it is not going to be installed.
  libwine-ldap-unstable: 依存: ia32-libs (>= 20111001) but it is not going to be installed.
  libwine-dev-unstable: 依存: libc6-dev but it is not going to be installed.
                        依存: libc6-dev-i386 but it is not going to be installed.
  libwine-cms-unstable: 依存: ia32-libs (>= 20111001) but it is not going to be installed.
  libwine-alsa-unstable: 依存: lib32asound2 (>= 1.0.23-2.1) but it is not going to be installed.
  libwine-gl-unstable: 依存: ia32-libs (>= 20111001) but it is not going to be installed.
  libwine-oss-unstable: 依存: oss-compat but it is not going to be installed.
  libwine-gphoto2-unstable: 依存: ia32-libs (>= 20111001) but it is not going to be installed.
以下のアクションでこれらの依存関係の問題は解決されます:

      以下のパッケージを削除する:
1)      libwine-alsa-unstable
2)      libwine-bin-unstable
3)      libwine-capi-unstable
4)      libwine-cms-unstable
5)      libwine-dbg-unstable
6)      libwine-dev-unstable
7)      libwine-gl-unstable
8)      libwine-gphoto2-unstable
9)      libwine-ldap-unstable
10)     libwine-openal-unstable
11)     libwine-oss-unstable
12)     libwine-print-unstable
13)     libwine-sane-unstable
14)     libwine-unstable
15)     wine-bin-unstable
16)     wine-unstable



この解決方法を受け入れますか? [Y/n/q/?]n
以下のアクションでこれらの依存関係の問題は解決されます:

      以下のパッケージをインストールする:
1)      binutils [2.20.1-16 (stable)]
2)      gcc [4:4.4.5-1 (stable)]
3)      gcc-4.4 [4.4.5-8 (stable)]
4)      gcc-4.4-multilib [4.4.5-8 (stable)]
5)      gcc-multilib [4:4.4.5-1 (stable)]
6)      ia32-libs [20120102 (stable)]
7)      lib32asound2 [1.0.23-2.1 (stable)]
8)      lib32bz2-1.0 [1.0.5-6+squeeze1 (stable)]
9)      lib32gcc1 [1:4.4.5-8 (stable)]
10)     lib32gomp1 [4.4.5-8 (stable)]
11)     lib32ncurses5 [5.7+20100313-5 (stable)]
12)     lib32stdc++6 [4.4.5-8 (stable)]
13)     lib32v4l-0 [0.8.0-1 (stable)]
14)     lib32z1 [1:1.2.3.4.dfsg-3 (stable)]
15)     libc-dev-bin [2.11.3-2 (stable)]
16)     libc6-dev [2.11.3-2 (stable)]
17)     libc6-dev-i386 [2.11.3-2 (stable)]
18)     libgomp1 [4.4.5-8 (stable)]
19)     linux-libc-dev [2.6.32-41 (stable)]
20)     oss-compat [0.0.4+nmu3 (stable)]



この解決方法を受け入れますか? [Y/n/q/?]y
以下の新規パッケージがインストールされます:
  binutils{a} gcc{a} gcc-4.4{a} gcc-4.4-multilib{a} gcc-multilib{a} ia32-libs{a} lib32asound2{a} lib32bz2-1.0{a} lib32gcc1{a} lib32gomp1{a} lib32ncurses5{a} lib32stdc++6{a} lib32v4l-0{a} lib32z1{a} libc-dev-bin{a}
  libc6-dev{a} libc6-dev-i386{a} libgomp1{a} linux-libc-dev{a} oss-compat{a}
以下の、インストールが完了していないパッケージが設定されます:
  libwine-alsa-unstable libwine-bin-unstable libwine-capi-unstable libwine-cms-unstable libwine-dbg-unstable libwine-dev-unstable libwine-gl-unstable libwine-gphoto2-unstable libwine-ldap-unstable
  libwine-openal-unstable libwine-oss-unstable libwine-print-unstable libwine-sane-unstable libwine-unstable wine-bin-unstable wine-unstable
更新: 0 個、新規インストール: 20 個、削除: 0 個、保留: 0 個。
49.7 MB のアーカイブを取得する必要があります。展開後に 129 MB のディスク領域が新たに消費されます。
先に進みますか? [Y/n/?] y

これで問題なくインストールされた。

winetricksのインストール

$ wget http://winetricks.org/winetricks
$ sudo cp winetricks /usr/local/bin/
$ sudo chmod +x /usr/local/bin/winetricks

関連記事


1月 31st, 2012

Posted In: ソフトウェア

タグ: , , , ,

コメントを残す

メールアドレスが公開されることはありません。